[regression] sata missing on quickstart 11.11 RC1

Bug #893233 reported by Tom Gall on 2011-11-21
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linaro Ubuntu
High
Ricardo Salveti

Bug Description

my sata hard drive when booting on the quickstart board with 11.11 RC, ubuntu-desktop image is not there.

linaro@linaro-ubuntu-desktop:~$ fdisk /dev/sda
fdisk: unable to open /dev/sda: No such file or directory

dmesg:
linaro@linaro-ubuntu-desktop:~$ dmesg
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Linux version 3.1.0-1002-linaro-lt-mx5 (buildd@gourd) (gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu4) ) #7-Ubuntu PREEMPT Tue Nov 15 13:07:56 UTC 2011
[ 0.000000] CPU: ARMv7 Processor [412fc085] revision 5 (ARMv7), cr=10c5387f
[ 0.000000] CPU: VIPT nonaliasing data cache, VIPT aliasing instruction cache
[ 0.000000] Machine: Freescale MX53 LOCO Board, model: Freescale i.MX53 LOCO
[ 0.000000] Memory policy: ECC disabled, Data cache writeback
[ 0.000000] On node 0 totalpages: 245760
[ 0.000000] free_area_init_node: node 0, pgdat 808a7bc0, node_mem_map 80e40000
[ 0.000000] Normal zone: 3072 pages used for memmap
[ 0.000000] Normal zone: 0 pages reserved
[ 0.000000] Normal zone: 242688 pages, LIFO batch:31
[ 0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 242688
[ 0.000000] Kernel command line: console=tty0 console=ttymxc0,115200n8 root=UUID=b10815c6-a3d0-4ef5-a4a8-c9f04b00efb0 rootwait ro
[ 0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[ 0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[ 0.000000] Memory: 512MB 448MB = 960MB total
[ 0.000000] Memory: 957508k/957508k available, 91068k reserved, 0K highmem
[ 0.000000] Virtual kernel memory layout:
[ 0.000000] vector : 0xffff0000 - 0xffff1000 ( 4 kB)
[ 0.000000] fixmap : 0xfff00000 - 0xfffe0000 ( 896 kB)
[ 0.000000] vmalloc : 0xe0800000 - 0xf4000000 ( 312 MB)
[ 0.000000] lowmem : 0x80000000 - 0xe0000000 (1536 MB)
[ 0.000000] pkmap : 0x7fe00000 - 0x80000000 ( 2 MB)
[ 0.000000] modules : 0x7f000000 - 0x7fe00000 ( 14 MB)
[ 0.000000] .text : 0x80008000 - 0x807f708c (8125 kB)
[ 0.000000] .init : 0x807f8000 - 0x80848000 ( 320 kB)
[ 0.000000] .data : 0x80848000 - 0x808aa0b0 ( 393 kB)
[ 0.000000] .bss : 0x808aa0d4 - 0x80e3f3b8 (5717 kB)
[ 0.000000] Preemptible hierarchical RCU implementation.
[ 0.000000] NR_IRQS:400
[ 0.000000] TrustZone Interrupt Controller (TZIC) initialized
[ 0.000000] sched_clock: 32 bits at 8MHz, resolution 125ns, wraps every 536870ms
[ 0.000000] Console: colour dummy device 80x30
[ 0.000000] console [tty0] enabled
[ 0.000000] Lock dependency validator: Copyright (c) 2006 Red Hat, Inc., Ingo Molnar
[ 0.000000] ... MAX_LOCKDEP_SUBCLASSES: 8
[ 0.000000] ... MAX_LOCK_DEPTH: 48
[ 0.000000] ... MAX_LOCKDEP_KEYS: 8191
[ 0.000000] ... CLASSHASH_SIZE: 4096
[ 0.000000] ... MAX_LOCKDEP_ENTRIES: 16384
[ 0.000000] ... MAX_LOCKDEP_CHAINS: 32768
[ 0.000000] ... CHAINHASH_SIZE: 16384
[ 0.000000] memory used by lock dependency info: 3695 kB
[ 0.000000] per task-struct memory footprint: 1152 bytes
[ 0.003217] Calibrating delay loop... 996.14 BogoMIPS (lpj=4980736)
[ 0.090429] pid_max: default: 32768 minimum: 301
[ 0.090843] Security Framework initialized
[ 0.091001] AppArmor: AppArmor initialized
[ 0.091167] Mount-cache hash table entries: 512
[ 0.095618] CPU: Testing write buffer coherency: ok
[ 0.095820] ftrace: allocating 21736 entries in 64 pages
[ 0.122385] hw perfevents: enabled with ARMv7 Cortex-A8 PMU driver, 5 counters available
[ 0.125952] devtmpfs: initialized
[ 0.136026] print_constraints: dummy:
[ 0.137754] NET: Registered protocol family 16
[ 0.185511] No ATAGs?
[ 0.185550] hw-breakpoint: debug architecture 0x4 unsupported.
[ 0.186879] IMX usb wakeup probe
[ 0.187437] the wakeup pdata is 0x80859ce0
[ 0.187506] IMX usb wakeup probe
[ 0.187952] the wakeup pdata is 0x80859dc4
[ 0.254097] bio: create slab <bio-0> at 0
[ 0.260193] SCSI subsystem initialized
[ 0.261691] libata version 3.00 loaded.
[ 0.265380] usbcore: registered new interface driver usbfs
[ 0.266278] usbcore: registered new interface driver hub
[ 0.266997] usbcore: registered new device driver usb
[ 0.273766] da9052_i2c_is_connected - i2c read success..............
[ 0.275642] print_constraints: VDDA: 3200 mV
[ 0.283866] print_constraints: DA9052_LDO1: 600 <--> 1800 mV at 1300 mV normal
[ 0.285570] print_constraints: DA9052_LDO2: 600 <--> 1800 mV at 1300 mV normal
[ 0.287210] print_constraints: DA9052_LDO3: 1725 <--> 3300 mV at 3300 mV normal
[ 0.288742] print_constraints: DA9052_LDO4: 1725 <--> 3300 mV at 2775 mV normal
[ 0.290359] print_constraints: DA9052_LDO5: 1200 <--> 3600 mV at 1300 mV normal
[ 0.291882] print_constraints: DA9052_LDO6: 1200 <--> 3600 mV at 1300 mV normal
[ 0.293976] print_constraints: DA9052_LDO7: 1200 <--> 3600 mV at 2750 mV normal
[ 0.295544] print_constraints: DA9052_LDO8: 1200 <--> 3600 mV at 1800 mV normal
[ 0.297119] print_constraints: DA9052_LDO9: 1250 <--> 3650 mV at 1500 mV normal
[ 0.298715] print_constraints: DA9052_LDO10: 1200 <--> 3600 mV at 1300 mV normal
[ 0.300254] print_constraints: DA9052_BUCK_CORE: 500 <--> 2075 mV at 1250 mV normal
[ 0.301855] print_constraints: DA9052_BUCK_PRO: 500 <--> 2075 mV at 1350 mV normal
[ 0.303736] print_constraints: DA9052_BUCK_MEM: 925 <--> 2500 mV at 1500 mV normal
[ 0.305374] print_constraints: DA9052_BUCK_PERI: 925 <--> 2500 mV at 2475 mV normal
[ 0.332784] imx-ipuv3 imx-ipuv3.0: IPU DMFC NORMAL mode: 1(0~1), 5B(4,5), 5F(6,7)
[ 0.337076] Advanced Linux Sound Architecture Driver Version 1.0.24.
[ 0.340370] NetLabel: Initializing
[ 0.340416] NetLabel: domain hash size = 128
[ 0.340441] NetLabel: protocols = UNLABELED CIPSOv4
[ 0.340707] NetLabel: unlabeled traffic allowed by default
[ 0.340803] Switching to clocksource mxc_timer1
[ 0.342764] Switched to NOHz mode on CPU #0
[ 0.403886] AppArmor: AppArmor Filesystem Enabled
[ 0.461798] NET: Registered protocol family 2
[ 0.462349] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[ 0.463864] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[ 0.466362] TCP bind hash table entries: 65536 (order: 9, 2359296 bytes)
[ 0.495958] TCP: Hash tables configured (established 131072 bind 65536)
[ 0.496109] TCP reno registered
[ 0.496163] UDP hash table entries: 512 (order: 3, 40960 bytes)
[ 0.496677] UDP-Lite hash table entries: 512 (order: 3, 40960 bytes)
[ 0.497738] NET: Registered protocol family 1
[ 0.499056] RPC: Registered named UNIX socket transport module.
[ 0.499107] RPC: Registered udp transport module.
[ 0.499136] RPC: Registered tcp transport module.
[ 0.499164] RPC: Registered tcp NFSv4.1 backchannel transport module.
[ 0.499876] Trying to unpack rootfs image as initramfs...
[ 0.633384] Freeing initrd memory: 1820K
[ 0.634810] Bus freq driver module loaded
[ 0.635383] sdram autogating driver module loaded
[ 0.635777] i.MXC CPU frequency driver
[ 0.637408] DVFS driver module loaded
[ 0.640313] audit: initializing netlink socket (disabled)
[ 0.640613] type=2000 audit(0.600:1): initialized
[ 0.720446] Kprobe smoke test started
[ 0.736532] Kprobe smoke test passed successfully
[ 0.767007] JFFS2 version 2.2. (NAND) (SUMMARY) © 2001-2006 Red Hat, Inc.
[ 0.769877] Btrfs loaded
[ 0.769982] msgmni has been set to 1873
[ 0.774004] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[ 0.774193] io scheduler noop registered
[ 0.774227] io scheduler deadline registered
[ 0.774401] io scheduler cfq registered (default)
[ 0.777974] mxc_sdc_fb mxc_sdc_fb.0: register mxc display driver hdmi
[ 0.811648] sii902x 1-0039: cound not find device
[ 0.814015] mxc_sdc_fb mxc_sdc_fb.0: register mxc display driver failed with -22
[ 0.814157] mxc_sdc_fb: probe of mxc_sdc_fb.0 failed with error -22
[ 0.814265] mxc_sdc_fb mxc_sdc_fb.1: register mxc display driver vga
[ 0.814493] _regulator_get: get() with no identifier
[ 0.815635] imx-ipuv3 imx-ipuv3.0: Channel already disabled 9
[ 0.815654] imx-ipuv3 imx-ipuv3.0: Channel already uninitialized 9
[ 0.850966] imx-ipuv3 imx-ipuv3.0: IPU DMFC DP HIGH RESOLUTION: 1(0,1), 5B(2~5), 5F(6,7)
[ 0.907099] Console: switching to colour frame buffer device 128x48
[ 0.912942] imx-ipuv3 imx-ipuv3.0: Channel already disabled 10
[ 0.912960] imx-ipuv3 imx-ipuv3.0: Channel already uninitialized 10
[ 0.917407] imx-sdma imx35-sdma: loaded firmware 1.0
[ 0.936867] imx-sdma imx35-sdma: initialized
[ 0.938645] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[ 1.021514] Serial: IMX driver
[ 1.022078] imx21-uart.0: ttymxc0 at MMIO 0x53fbc000 (irq = 31) is a IMX
[ 1.755641] console [ttymxc0] enabled
[ 1.800362] brd: module loaded
[ 1.821327] loop: module loaded
[ 1.829352] mtdoops: mtd device (mtddev=name/number) must be supplied
[ 1.842108] FEC Ethernet Driver
[ 1.863087] fec_enet_mii_bus: probed
[ 1.873312] usbcore: registered new interface driver asix
[ 1.881893] usbcore: registered new interface driver cdc_ether
[ 1.890735] usbcore: registered new interface driver smsc95xx
[ 1.899483] usbcore: registered new interface driver net1080
[ 1.908141] usbcore: registered new interface driver cdc_subset
[ 1.916991] usbcore: registered new interface driver zaurus
[ 1.925106] cdc_ncm: 04-Aug-2011
[ 1.931112] usbcore: registered new interface driver cdc_ncm
[ 1.941053] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 1.950050] ehci_hcd: block sizes: qh 64 qtd 96 itd 160 sitd 96
[ 1.950296] initializing FSL-SOC USB Controller
[ 2.050921] fsl-ehci fsl-ehci.1: Freescale On-Chip EHCI Host Controller
[ 2.062960] fsl-ehci fsl-ehci.1: new USB bus registered, assigned bus number 1
[ 2.073471] fsl-ehci fsl-ehci.1: reset hcs_params 0x10011 dbg=0 ind cc=0 pcc=0 ordered ports=1
[ 2.073495] fsl-ehci fsl-ehci.1: reset hcc_params 0006 thresh 0 uframes 256/512/1024 park
[ 2.073791] fsl-ehci fsl-ehci.1: park 0
[ 2.073816] fsl-ehci fsl-ehci.1: reset command 0080b02 park=3 ithresh=8 period=1024 Reset HALT
[ 2.073834] fsl-ehci fsl-ehci.1: ...powerdown ports...
[ 2.100899] fsl-ehci fsl-ehci.1: supports USB remote wakeup
[ 2.100968] fsl-ehci fsl-ehci.1: irq 14, io base 0x53f80200
[ 2.108987] fsl-ehci fsl-ehci.1: init command 0010005 (park)=0 ithresh=1 period=512 RUN
[ 2.120940] fsl-ehci fsl-ehci.1: USB 2.0 started, EHCI 1.00
[ 2.129852] usb usb1: default language 0x0409
[ 2.129943] usb usb1: udev 1, busnum 1, minor = 0
[ 2.129957] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[ 2.139158] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 2.148715] usb usb1: Product: Freescale On-Chip EHCI Host Controller
[ 2.157634] usb usb1: Manufacturer: Linux 3.1.0-1002-linaro-lt-mx5 ehci_hcd
[ 2.167018] usb usb1: SerialNumber: fsl-ehci.1
[ 2.176421] usb usb1: usb_probe_device
[ 2.176446] usb usb1: configuration #1 chosen from 1 choice
[ 2.177009] usb usb1: adding 1-0:1.0 (config #1, interface 0)
[ 2.178267] hub 1-0:1.0: usb_probe_interface
[ 2.178289] hub 1-0:1.0: usb_probe_interface - got id
[ 2.178323] hub 1-0:1.0: USB hub found
[ 2.184886] hub 1-0:1.0: 1 port detected
[ 2.191224] hub 1-0:1.0: standalone hub
[ 2.191239] hub 1-0:1.0: individual port power switching
[ 2.191251] hub 1-0:1.0: individual port over-current protection
[ 2.191267] hub 1-0:1.0: Single TT
[ 2.191280] hub 1-0:1.0: TT requires at most 8 FS bit times (666 ns)
[ 2.191293] hub 1-0:1.0: power on to power good time: 20ms
[ 2.191737] hub 1-0:1.0: local power source is good
[ 2.191756] hub 1-0:1.0: enabling power on all ports
[ 2.194135] initializing FSL-SOC USB Controller
[ 2.291537] hub 1-0:1.0: state 7 ports 1 chg 0000 evt 0000
[ 2.300931] fsl-ehci fsl-ehci.0: Freescale On-Chip EHCI Host Controller
[ 2.311218] fsl-ehci fsl-ehci.0: new USB bus registered, assigned bus number 2
[ 2.321038] fsl-ehci fsl-ehci.0: reset hcs_params 0x10011 dbg=0 ind cc=0 pcc=0 ordered ports=1
[ 2.321061] fsl-ehci fsl-ehci.0: reset hcc_params 0006 thresh 0 uframes 256/512/1024 park
[ 2.321188] fsl-ehci fsl-ehci.0: park 0
[ 2.321211] fsl-ehci fsl-ehci.0: reset command 0080b02 park=3 ithresh=8 period=1024 Reset HALT
[ 2.321228] fsl-ehci fsl-ehci.0: ...powerdown ports...
[ 2.350967] fsl-ehci fsl-ehci.0: supports USB remote wakeup
[ 2.351030] fsl-ehci fsl-ehci.0: irq 18, io base 0x53f80000
[ 2.358914] fsl-ehci fsl-ehci.0: init command 0010005 (park)=0 ithresh=1 period=512 RUN
[ 2.370895] fsl-ehci fsl-ehci.0: USB 2.0 started, EHCI 1.00
[ 2.379073] hub 1-0:1.0: state 7 ports 1 chg 0000 evt 0002
[ 2.379174] fsl-ehci fsl-ehci.1: GetStatus port:1 status 10001803 8 ACK POWER sig=j CSC CONNECT
[ 2.379266] hub 1-0:1.0: port 1, status 0101, change 0001, 12 Mb/s
[ 2.379709] usb usb2: default language 0x0409
[ 2.379796] usb usb2: udev 1, busnum 2, minor = 128
[ 2.379810] usb usb2: New USB device found, idVendor=1d6b, idProduct=0002
[ 2.388983] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 2.398518] usb usb2: Product: Freescale On-Chip EHCI Host Controller
[ 2.407282] usb usb2: Manufacturer: Linux 3.1.0-1002-linaro-lt-mx5 ehci_hcd
[ 2.416622] usb usb2: SerialNumber: fsl-ehci.0
[ 2.424759] usb usb2: usb_probe_device
[ 2.424782] usb usb2: configuration #1 chosen from 1 choice
[ 2.424884] usb usb2: adding 2-0:1.0 (config #1, interface 0)
[ 2.425647] hub 2-0:1.0: usb_probe_interface
[ 2.425664] hub 2-0:1.0: usb_probe_interface - got id
[ 2.425686] hub 2-0:1.0: USB hub found
[ 2.431967] hub 2-0:1.0: 1 port detected
[ 2.438100] hub 2-0:1.0: standalone hub
[ 2.438111] hub 2-0:1.0: individual port power switching
[ 2.438123] hub 2-0:1.0: individual port over-current protection
[ 2.438138] hub 2-0:1.0: Single TT
[ 2.438151] hub 2-0:1.0: TT requires at most 8 FS bit times (666 ns)
[ 2.438164] hub 2-0:1.0: power on to power good time: 20ms
[ 2.438238] hub 2-0:1.0: local power source is good
[ 2.438255] hub 2-0:1.0: enabling power on all ports
[ 2.440705] usbcore: registered new interface driver cdc_wdm
[ 2.448917] Initializing USB Mass Storage driver...
[ 2.456857] usbcore: registered new interface driver usb-storage
[ 2.465348] USB Mass Storage support registered.
[ 2.473586] usbcore: registered new interface driver libusual
[ 2.531016] hub 1-0:1.0: debounce: port 1: total 100ms stable 100ms status 0x101
[ 2.650972] usb 1-1: new high speed USB device number 2 using fsl-ehci
[ 2.711242] fsl-ehci fsl-ehci.1: port 1 high speed
[ 2.711270] fsl-ehci fsl-ehci.1: GetStatus port:1 status 18001205 12 ACK POWER sig=se0 LPM PE CONNECT
[ 2.801890] usb 1-1: default language 0x0409
[ 2.810136] usb 1-1: udev 2, busnum 1, minor = 1
[ 2.810152] usb 1-1: New USB device found, idVendor=05ac, idProduct=1005
[ 2.819240] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2.828720] usb 1-1: Product: Keyboard Hub
[ 2.835087] usb 1-1: Manufacturer: Apple Inc.
[ 2.841683] usb 1-1: SerialNumber: 000000000000
[ 2.850070] usb 1-1: usb_probe_device
[ 2.850096] usb 1-1: configuration #1 chosen from 1 choice
[ 2.850558] usb 1-1: adding 1-1:1.0 (config #1, interface 0)
[ 2.851468] hub 1-1:1.0: usb_probe_interface
[ 2.851488] hub 1-1:1.0: usb_probe_interface - got id
[ 2.851523] hub 1-1:1.0: USB hub found
[ 2.857882] hub 1-1:1.0: 3 ports detected
[ 2.864218] hub 1-1:1.0: compound device; port removable status: RFR
[ 2.864234] hub 1-1:1.0: individual port power switching
[ 2.864246] hub 1-1:1.0: individual port over-current protection
[ 2.864261] hub 1-1:1.0: Single TT
[ 2.864274] hub 1-1:1.0: TT requires at most 8 FS bit times (666 ns)
[ 2.864287] hub 1-1:1.0: Port indicators are supported
[ 2.864299] hub 1-1:1.0: power on to power good time: 100ms
[ 2.864530] hub 1-1:1.0: hub controller current requirement: 200mA
[ 2.864546] hub 1-1:1.0: 100mA bus power budget for each child
[ 2.864898] hub 1-1:1.0: enabling power on all ports
[ 2.867223] hub 2-0:1.0: state 7 ports 1 chg 0000 evt 0000
[ 2.867252] hub 1-0:1.0: state 7 ports 1 chg 0000 evt 0002
[ 2.867302] fsl-ehci fsl-ehci.1: GetStatus port:1 status 1c00100a 14 ACK POWER sig=se0 PEC CSC
[ 2.867380] hub 1-0:1.0: port 1, status 0100, change 0003, 12 Mb/s
[ 2.867400] usb 1-1: USB disconnect, device number 2
[ 2.875153] usbcore: registered new interface driver usbtest
[ 2.883378] usb 1-1: unregistering device
[ 2.883397] usb 1-1: unregistering interface 1-1:1.0
[ 2.888019] usb 1-1: usb_disable_device nuking all URBs
[ 2.897888] mxc_rtc mxc_rtc.0: hardware module can't be enabled!
[ 2.908374] mxc_rtc: probe of mxc_rtc.0 failed with error -5
[ 2.921197] mxc_rtc mxc_rtc.0: rtc core: registered mxc_rtc as rtc0
[ 2.930763] i2c /dev entries driver
[ 2.940520] Linux video capture interface: v2.00
[ 2.949965] mxc_v4l2_output mxc_v4l2_output.0: Registered device video0
[ 2.960103] Driver for 1-wire Dallas network protocol.
[ 2.971204] imx2-wdt imx2-wdt.0: IMX2+ Watchdog Timer enabled. timeout=60s (nowayout=0)
[ 2.984334] device-mapper: ioctl: 4.21.0-ioctl (2011-07-06) initialised: <email address hidden>
[ 2.996397] cpuidle: using governor ladder
[ 3.003211] cpuidle: using governor menu
[ 3.010576] sdhci: Secure Digital Host Controller Interface driver
[ 3.019440] sdhci: Copyright(c) Pierre Ossman
[ 3.026298] sdhci-pltfm: SDHCI platform and OF driver helper
[ 3.034534] fsl-ehci fsl-ehci.1: GetStatus port:1 status 10001803 8 ACK POWER sig=j CSC CONNECT
[ 3.035398] mxc: set GPIO 77 to high trigger
[ 3.035593] mmc0: no vmmc regulator found
[ 3.043668] Registered led device: mmc0::
[ 3.045103] mmc0: SDHCI controller on sdhci-esdhc-imx53.0 [sdhci-esdhc-imx53.0] using DMA
[ 3.056772] mxc: set GPIO 75 to low trigger
[ 3.056963] mmc1: no vmmc regulator found
[ 3.064606] Registered led device: mmc1::
[ 3.065417] mmc1: SDHCI controller on sdhci-esdhc-imx53.2 [sdhci-esdhc-imx53.2] using DMA
[ 3.179300] VPU initialized
[ 3.186432] Registered led device: green
[ 3.199456] usbcore: registered new interface driver usbhid
[ 3.208165] usbhid: USB HID core driver
[ 3.221536] mxc_spdif mxc_spdif.0: MXC SPDIF Audio
[ 3.237871] sgtl5000 1-000a: Failed to get supply 'VDDD': -19
[ 3.248667] print_constraints: 1-000a: 850 <--> 1600 mV at 1200 mV normal
[ 3.259087] hub 1-0:1.0: debounce: port 1: total 175ms stable 100ms status 0x101
[ 3.264406] sgtl5000 1-000a: Using internal LDO instead of VDDD
[ 3.280576] sgtl5000 1-000a: sgtl5000 revision 17
[ 3.300536] mxc: set GPIO 37 to low trigger
[ 3.303748] mmc0: host does not support reading read-only switch. assuming write-enable.
[ 3.315156] asoc: sgtl5000 <-> imx-ssi.1 mapping ok
[ 3.423643] usb 1-1: new high speed USB device number 3 using fsl-ehci
[ 3.437415] input: sgtl5000-audio Headphone Jack as /devices/platform/soc-audio/sound/card0/input0
[ 3.457931] asoc: mxc-spdif <-> imx-spdif-dai.0 mapping ok
[ 3.469344] ALSA device list:
[ 3.475439] #0: sgtl5000-audio
[ 3.481460] #1: imx-spdif
[ 3.488349] oprofile: using arm/armv7
[ 3.495801] TCP cubic registered
[ 3.502274] fsl-ehci fsl-ehci.1: port 1 high speed
[ 3.502303] fsl-ehci fsl-ehci.1: GetStatus port:1 status 18001205 12 ACK POWER sig=se0 LPM PE CONNECT
[ 3.502390] Initializing XFRM netlink socket
[ 3.509989] NET: Registered protocol family 10
[ 3.519732] IPv6 over IPv4 tunneling driver
[ 3.528671] NET: Registered protocol family 17
[ 3.536199] NET: Registered protocol family 15
[ 3.543548] mmc0: new SDHC card at address 1234
[ 3.551317] Registering the dns_resolver key type
[ 3.559274] VFP support v0.3:
[ 3.565542] mmcblk0: mmc0:1234 SA04G 3.68 GiB
[ 3.575779] implementor 41 architecture 3 part 30 variant c rev 2
[ 3.589602] ThumbEE CPU extension supported.
[ 3.597897] mmcblk0: p1 p2 p3
[ 3.604791] usb 1-1: default language 0x0409
[ 3.606014] Registering SWP/SWPB emulation handler
[ 3.619511] usb 1-1: udev 3, busnum 1, minor = 2
[ 3.619533] usb 1-1: New USB device found, idVendor=05ac, idProduct=1005
[ 3.737233] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 3.752124] regulator_init_complete: DA9052_BUCK_PERI: incomplete constraints, leaving on
[ 3.763331] usb 1-1: Product: Keyboard Hub
[ 3.770002] usb 1-1: Manufacturer: Apple Inc.
[ 3.776958] regulator_init_complete: DA9052_BUCK_MEM: incomplete constraints, leaving on
[ 3.787733] usb 1-1: SerialNumber: 000000000000
[ 3.794890] regulator_init_complete: DA9052_BUCK_PRO: incomplete constraints, leaving on
[ 3.806894] usb 1-1: usb_probe_device
[ 3.806920] usb 1-1: configuration #1 chosen from 1 choice
[ 3.807180] regulator_init_complete: DA9052_BUCK_CORE: incomplete constraints, leaving on
[ 3.818379] usb 1-1: adding 1-1:1.0 (config #1, interface 0)
[ 3.818936] regulator_init_complete: DA9052_LDO10: incomplete constraints, leaving on
[ 3.829976] hub 1-1:1.0: usb_probe_interface
[ 3.829996] hub 1-1:1.0: usb_probe_interface - got id
[ 3.830021] hub 1-1:1.0: USB hub found
[ 3.836607] regulator_init_complete: DA9052_LDO9: incomplete constraints, leaving on
[ 3.847118] hub 1-1:1.0: 3 ports detected
[ 3.853799] regulator_init_complete: DA9052_LDO8: incomplete constraints, leaving on
[ 3.864232] hub 1-1:1.0: compound device; port removable status: RFR
[ 3.864247] hub 1-1:1.0: individual port power switching
[ 3.864259] hub 1-1:1.0: individual port over-current protection
[ 3.864274] hub 1-1:1.0: Single TT
[ 3.864287] hub 1-1:1.0: TT requires at most 8 FS bit times (666 ns)
[ 3.864300] hub 1-1:1.0: Port indicators are supported
[ 3.864312] hub 1-1:1.0: power on to power good time: 100ms
[ 3.864386] regulator_init_complete: DA9052_LDO7: incomplete constraints, leaving on
[ 3.874840] hub 1-1:1.0: hub controller current requirement: 200mA
[ 3.874856] hub 1-1:1.0: 100mA bus power budget for each child
[ 3.874927] regulator_init_complete: DA9052_LDO6: incomplete constraints, leaving on
[ 3.885328] hub 1-1:1.0: enabling power on all ports
[ 3.885408] regulator_init_complete: DA9052_LDO5: incomplete constraints, leaving on
[ 3.895774] regulator_init_complete: DA9052_LDO4: incomplete constraints, leaving on
[ 3.910621] regulator_init_complete: DA9052_LDO3: incomplete constraints, leaving on
[ 3.921805] hub 1-0:1.0: state 7 ports 1 chg 0000 evt 0002
[ 3.921998] regulator_init_complete: DA9052_LDO2: incomplete constraints, leaving on
[ 3.932246] regulator_init_complete: DA9052_LDO1: incomplete constraints, leaving on
[ 4.042655] hub 1-1:1.0: port 2: status 0101 change 0001
[ 4.043689] mxc: set GPIO 8 to low trigger
[ 4.044063] mxc: set GPIO 46 to low trigger
[ 4.044338] mxc: set GPIO 47 to low trigger
[ 4.045495] input: gpio-keys as /devices/platform/gpio-keys/input/input1
[ 4.058040] mxc_rtc mxc_rtc.0: setting system clock to 2011-11-21 11:06:48 UTC (1321873608)
[ 4.072784] Freeing init memory: 320K
[ 4.141214] usb 1-1: link qh256-0001/d9744600 start 1 [1/0 us]
[ 4.141396] hub 1-1:1.0: state 7 ports 3 chg 0004 evt 0000
[ 4.141812] hub 1-1:1.0: port 2, status 0101, change 0000, 12 Mb/s
[ 4.271363] usb 1-1.2: new low speed USB device number 4 using fsl-ehci
[ 4.382193] udevd[712]: starting version 173
[ 4.405327] usb 1-1.2: skipped 1 descriptor after interface
[ 4.405358] usb 1-1.2: skipped 1 descriptor after interface
[ 4.405915] usb 1-1.2: default language 0x0409
[ 4.410215] usb 1-1.2: udev 4, busnum 1, minor = 3
[ 4.410238] usb 1-1.2: New USB device found, idVendor=05ac, idProduct=021d
[ 4.453050] usb 1-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 4.489849] usb 1-1.2: Product: Apple Keyboard
[ 4.701044] usb 1-1.2: Manufacturer: Apple Inc.
[ 4.759172] usb 1-1.2: usb_probe_device
[ 4.759200] usb 1-1.2: configuration #1 chosen from 1 choice
[ 4.802846] usb 1-1.2: adding 1-1.2:1.0 (config #1, interface 0)
[ 4.803495] usbtest 1-1.2:1.0: usb_probe_interface
[ 4.803514] usbtest 1-1.2:1.0: usb_probe_interface - got id
[ 4.803680] usbhid 1-1.2:1.0: usb_probe_interface
[ 4.803696] usbhid 1-1.2:1.0: usb_probe_interface - got id
[ 4.855836] input: Apple Inc. Apple Keyboard as /devices/platform/fsl-ehci.1/usb1/1-1/1-1.2/1-1.2:1.0/input/input2
[ 5.238894] usb 1-1.2: link qh8-0e01/d8acf400 start 2 [1/2 us]
[ 5.274150] apple 0003:05AC:021D.0001: input: USB HID v1.11 Keyboard [Apple Inc. Apple Keyboard] on usb-fsl-ehci.1-1.2/input0
[ 5.428638] usb 1-1.2: adding 1-1.2:1.1 (config #1, interface 1)
[ 5.429502] usbtest 1-1.2:1.1: usb_probe_interface
[ 5.429523] usbtest 1-1.2:1.1: usb_probe_interface - got id
[ 5.429639] usbhid 1-1.2:1.1: usb_probe_interface
[ 5.429653] usbhid 1-1.2:1.1: usb_probe_interface - got id
[ 5.440529] input: Apple Inc. Apple Keyboard as /devices/platform/fsl-ehci.1/usb1/1-1/1-1.2/1-1.2:1.1/input/input3
[ 5.477922] usb 1-1.2: link qh8-0e01/d8acfc80 start 3 [1/2 us]
[ 5.480638] apple 0003:05AC:021D.0002: input: USB HID v1.11 Device [Apple Inc. Apple Keyboard] on usb-fsl-ehci.1-1.2/input1
[ 5.548852] hub 1-1:1.0: 280mA power budget left
[ 5.548884] hub 1-1:1.0: state 7 ports 3 chg 0000 evt 0004
[ 6.096051] EXT4-fs (mmcblk0p3): mounted filesystem with ordered data mode. Opts: (null)
[ 7.146264] init: ureadahead main process (837) terminated with status 5
[ 8.073849] udevd[876]: starting version 173
[ 9.267894] EXT4-fs (mmcblk0p3): re-mounted. Opts: errors=remount-ro
[ 10.816253] hub 1-1:1.0: state 7 ports 3 chg 0000 evt 0008
[ 10.816773] hub 1-1:1.0: port 3, status 0101, change 0001, 12 Mb/s
[ 10.972316] hub 1-1:1.0: debounce: port 3: total 100ms stable 100ms status 0x101
[ 11.051412] usb 1-1.3: new low speed USB device number 5 using fsl-ehci
[ 11.164817] usb 1-1.3: skipped 1 descriptor after interface
[ 11.165722] usb 1-1.3: default language 0x0409
[ 11.168426] usb 1-1.3: udev 5, busnum 1, minor = 4
[ 11.168448] usb 1-1.3: New USB device found, idVendor=046d, idProduct=c00e
[ 11.168462] usb 1-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 11.168477] usb 1-1.3: Product: USB-PS/2 Optical Mouse
[ 11.168489] usb 1-1.3: Manufacturer: Logitech
[ 11.170335] usb 1-1.3: usb_probe_device
[ 11.170366] usb 1-1.3: configuration #1 chosen from 1 choice
[ 11.171252] usb 1-1.3: adding 1-1.3:1.0 (config #1, interface 0)
[ 11.172104] usbtest 1-1.3:1.0: usb_probe_interface
[ 11.172125] usbtest 1-1.3:1.0: usb_probe_interface - got id
[ 11.172242] usbhid 1-1.3:1.0: usb_probe_interface
[ 11.172256] usbhid 1-1.3:1.0: usb_probe_interface - got id
[ 11.207554] input: Logitech USB-PS/2 Optical Mouse as /devices/platform/fsl-ehci.1/usb1/1-1/1-1.3/1-1.3:1.0/input/input4
[ 11.208600] generic-usb 0003:046D:C00E.0003: input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-fsl-ehci.1-1.3/input0
[ 11.229990] hub 1-1:1.0: 182mA power budget left
[ 11.230021] hub 1-1:1.0: state 7 ports 3 chg 0000 evt 0008
[ 11.604664] input: mma8450 as /devices/virtual/input/input5
[ 11.861784] Registered led device: LED_GPIO14
[ 11.892239] Registered led device: LED_GPIO15
[ 11.965698] input: da9052-onkey as /devices/platform/imx-i2c.0/i2c-0/0-0048/da9052-onkey/input/input6
[ 12.092346] da9052-rtc da9052-rtc: rtc core: registered da9052-rtc as rtc1
[ 12.093347] DA9052 SM probe - 0
[ 18.640242] mousedev: PS/2 mouse device common for all mice
[ 19.530841] init: failsafe main process (1216) killed by TERM signal
[ 21.628644] init: apport pre-start process (1308) terminated with status 1
[ 21.814498] init: alsa-restore main process (1313) terminated with status 99
[ 21.927467] init: apport post-stop process (1334) terminated with status 1
[ 23.645980] eth0: Freescale FEC PHY driver [SMSC LAN8710/LAN8720] (mii_bus:phy_addr=1:00, irq=-1)
[ 23.648797] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 24.887901] Bluetooth: Core ver 2.16
[ 24.894075] NET: Registered protocol family 31
[ 24.894101] Bluetooth: HCI device and connection manager initialized
[ 24.894635] Bluetooth: HCI socket layer initialized
[ 25.448841] usb 1-1.3: link qh8-0e01/d82ad900 start 4 [1/2 us]
[ 25.642028] PHY: 1:00 - Link is Up - 100/Full
[ 25.643196] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[ 26.140212] init: plymouth-stop pre-start process (1509) terminated with status 1
[ 26.383510] init: tty1 main process (1510) killed by TERM signal
[ 26.981572] imx-ipuv3 imx-ipuv3.0: Channel already disabled 9
[ 26.981597] imx-ipuv3 imx-ipuv3.0: Channel already uninitialized 9
[ 36.480961] eth0: no IPv6 routers present
[ 65.285892] EXT4-fs (mmcblk0p3): re-mounted. Opts: errors=remount-ro,commit=0
[ 69.631261] warning: process `colord' used the deprecated sysctl system call with 8.1.2.
[ 2048.305592] imx-ipuv3 imx-ipuv3.0: Channel already disabled 9
[ 2048.305612] imx-ipuv3 imx-ipuv3.0: Channel already uninitialized 9
[ 3469.400254] imx-ipuv3 imx-ipuv3.0: Channel already disabled 9
[ 3469.400431] imx-ipuv3 imx-ipuv3.0: Channel already uninitialized 9

Tom Gall (tom-gall) on 2011-11-21
tags: added: linaro-ubuntu sata
tags: added: lt-mx5
Tom Gall (tom-gall) wrote :
Download full text (17.0 KiB)

for reference, an 11.10 quickstart bootlog with working sata

root@despina:~# dmesg
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 2.6.38-1000-linaro-lt-mx5 (buildd@crabapple) (gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu4) ) #8-Ubuntu Tue Aug 16 15:08:35 UTC 2011
[ 0.000000] CPU: ARMv7 Processor [412fc085] revision 5 (ARMv7), cr=10c5387f
[ 0.000000] CPU: VIPT nonaliasing data cache, VIPT aliasing instruction cache
[ 0.000000] Machine: Freescale MX53 LOCO Board
[ 0.000000] Memory policy: ECC disabled, Data cache writeback
[ 0.000000] On node 0 totalpages: 221184
[ 0.000000] free_area_init_node: node 0, pgdat c05a62f0, node_mem_map c0610000
[ 0.000000] DMA zone: 704 pages used for memmap
[ 0.000000] DMA zone: 0 pages reserved
[ 0.000000] DMA zone: 89408 pages, LIFO batch:15
[ 0.000000] HighMem zone: 2368 pages used for memmap
[ 0.000000] HighMem zone: 128704 pages, LIFO batch:31
[ 0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 218112
[ 0.000000] Kernel command line: console=tty0 console=ttymxc0,115200n8 root=UUID=6af2dfba-9f39-4e46-b941-f841836e281c rootwait ro
[ 0.000000] PID hash table entries: 2048 (order: 1, 8192 bytes)
[ 0.000000] Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
[ 0.000000] Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
[ 0.000000] Memory: 352MB 512MB = 864MB total
[ 0.000000] Memory: 868916k/868916k available, 15820k reserved, 524288K highmem
[ 0.000000] Virtual kernel memory layout:
[ 0.000000] vector : 0xffff0000 - 0xffff1000 ( 4 kB)
[ 0.000000] fixmap : 0xfff00000 - 0xfffe0000 ( 896 kB)
[ 0.000000] DMA : 0xf7e00000 - 0xffe00000 ( 128 MB)
[ 0.000000] vmalloc : 0xd6800000 - 0xf4000000 ( 472 MB)
[ 0.000000] lowmem : 0xc0000000 - 0xd6000000 ( 352 MB)
[ 0.000000] pkmap : 0xbfe00000 - 0xc0000000 ( 2 MB)
[ 0.000000] modules : 0xbf000000 - 0xbfe00000 ( 14 MB)
[ 0.000000] .init : 0xc0008000 - 0xc0039000 ( 196 kB)
[ 0.000000] .text : 0xc0039000 - 0xc055e000 (5268 kB)
[ 0.000000] .data : 0xc055e000 - 0xc05a7200 ( 293 kB)
[ 0.000000] SLUB: Genslabs=11, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] NR_IRQS:368
[ 0.000000] TrustZone Interrupt Controller (TZIC) initialized
[ 0.000000] MXC GPIO hardware
[ 0.000000] sched_clock: 32 bits at 8MHz, resolution 125ns, wraps every 536870ms
[ 0.000000] Console: colour dummy device 80x30
[ 0.000000] console [tty0] enabled
[ 0.000409] Calibrating delay loop... 999.42 BogoMIPS (lpj=4997120)
[ 0.260163] pid_max: default: 32768 minimum: 301
[ 0.260331] Security Framework initialized
[ 0.260370] AppArmor: AppArmor disabled by boot time parameter
[ 0.260427] Mount-cache hash table entries: 512
[ 0.260836] CPU: Testing write buffer coherency: ok
[ 0.261051] hw perfevents: enabled with ARMv7 Cortex-A8 PMU driver, 5 counters available
[ 0.261524] devtmpfs: initialized
[ 0.2672...

Ricardo Salveti (rsalveti) wrote :

One big change here is that the newer hwpack is using the 3.1 kernel.

Eric (or someone from the Freescale LT), can you confirm this issue from your side? Would be nice to see if fixed for 11.11, as it's a quite important regression.

Changed in linaro-ubuntu:
assignee: nobody → Tom Gall (tom-gall)
importance: Undecided → High
milestone: none → 11.11
summary: - sata missing on quickstart 11.11 RC1
+ [regression] sata missing on quickstart 11.11 RC1
Eric Miao (eric.y.miao) on 2011-11-22
Changed in linaro-landing-team-freescale:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Eric Miao (eric.y.miao)
assignee: Eric Miao (eric.y.miao) → Hong-Xing.Zhu (richard-zhuhongxing)
milestone: none → 2011.11
Paweł Moll (pawel-moll) wrote :

root@linaro-nano:~# uname -a
Linux linaro-nano 3.1.0-1002-linaro-lt-mx5 #7-Ubuntu PREEMPT Tue Nov 15 13:07:56 UTC 2011 armv7l armv7l armv7l GNU/Linux
root@linaro-nano:~# zcat /proc/config.gz | grep AHCI
CONFIG_IMX_HAVE_PLATFORM_AHCI=y
# CONFIG_SATA_AHCI_PLATFORM is not set

Ricardo Salveti (rsalveti) wrote :

Eric/Hong, can any of you confirm that this is just a config issue? If so we can still include the fix for 11.11.

Would like to give it a try, but I'm still unable to use my sata disk with my imx53 board (lack of proper power supply).

Tom Gall (tom-gall) wrote :
Changed in linaro-ubuntu:
status: New → Triaged
tags: added: lt-quickstart
removed: lt-mx5
Paweł Moll (pawel-moll) wrote :

Works here as well, thanks!

Eric Miao (eric.y.miao) on 2011-11-23
Changed in linaro-landing-team-freescale:
status: Triaged → Fix Committed
Changed in linaro-ubuntu:
assignee: Tom Gall (tom-gall) → Ricardo Salveti (rsalveti)
Ricardo Salveti (rsalveti) wrote :

Fixed with hwpack_linaro-lt-mx5_20111123-1_armel_supported.tar.gz (11.11).

Changed in linaro-ubuntu:
status: Triaged → Fix Released
Fathi Boudra (fboudra) on 2011-11-24
Changed in linaro-landing-team-freescale:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers